Diese Website existiert nur weil wir Werbung mit AdSense ausliefern.
Bitte den AdBlocker daher auf dieser Website ausschalten! Danke.

[gelöst] OwnCloud startet nicht mehr -> wrong ELF class

Alles rund um die Server (Web-, Mail-, Datenbank-, Datenaustausch-, etc.) die man unter Linux betreiben kann

Moderator: Moderatoren

Antworten
Benutzeravatar
Herz-von-Hessen
Guru
Guru
Beiträge: 1553
Registriert: 23. Jun 2009, 21:29
Wohnort: Zuhause
Kontaktdaten:

[gelöst] OwnCloud startet nicht mehr -> wrong ELF class

Beitrag von Herz-von-Hessen » 28. Mai 2016, 23:51

Hallo,

ich nutze seit mehreren Monaten schon OwnCloud unter openSUSE 13.2 und alles klappte bisher so wie es sollte. Seit etwa 2 Wochen nun startet der OwnCloud Client nicht mehr sondern gibt folgende Fehlermeldung aus:

Code: Alles auswählen

owncloud: error while loading shared libraries: libqt5keychain.so.0: wrong ELF class: ELFCLASS32
Wenn ich es über den Kickoff Starter versuche hüpft der Cursor kurz und das wars auch schon.
Zypper gibt an installierten Komponenten folgendes aus:

Code: Alles auswählen

zypper se -si owncloud
Daten des Repositories laden ...
Installierte Pakete lesen ...

S | Name                        | Typ   | Version      | Arch   | Repository       
--+-----------------------------+-------+--------------+--------+------------------
i | libcsync-plugin-owncloud    | Paket | 0.50.0-3.1.7 | x86_64 | openSUSE-13.2-Oss
i | libowncloudsync0            | Paket | 2.2.0-9.1    | x86_64 | owncloud         
i | libowncloudsync0-debuginfo  | Paket | 2.2.0-9.1    | x86_64 | owncloud         
i | owncloud-client             | Paket | 2.2.0-9.1    | x86_64 | owncloud         
i | owncloud-client-debuginfo   | Paket | 2.2.0-9.1    | x86_64 | owncloud         
i | owncloud-client-debugsource | Paket | 2.2.0-9.1    | x86_64 | owncloud         
i | owncloud-client-l10n        | Paket | 2.2.0-9.1    | x86_64 | owncloud         
i | owncloud-client-nautilus    | Paket | 2.2.0-9.1    | x86_64 | owncloud
Weitere Infos:

Code: Alles auswählen

find / -name "libqt5keychain.so.0" 2>/dev/null
/usr/lib64/libqt5keychain.so.0

ldconfig -p | grep owncloud
        libowncloudsync.so.0 (libc6,x86-64) => /usr/lib64/libowncloudsync.so.0

objdump -x /usr/bin/owncloud | grep RUNPATH                                                                                                              
  RUNPATH              /usr/lib64/owncloud

uname -m
x86_64
Auf meinem Laptop (Arch-Linux, 32 Bit) funktioniert alles bestens. Ich weiß wirklich nicht mehr was ich tun kann damit es wieder funktioniert, hat jemand Vorschläge und Ideen die zur Problemlösung beitragen?

Lieben Gruß aus Hessen
Zuletzt geändert von Herz-von-Hessen am 23. Jun 2016, 19:42, insgesamt 1-mal geändert.
Asus P8H77V/ Intel Core i5, 3.10GHz | 8.0gb RAM | NVIDIA GeForce GTX 650 Ti Boost 2GB | Arch-Linux| arch-desktop 4.7.6-1-ARCH | Plasma: 5.8.0.1| HP Officejet Pro 8620

Werbung:
Sauerland
Guru
Guru
Beiträge: 3114
Registriert: 5. Aug 2007, 17:57
Wohnort: Sauerland

Re: OwnCloud startet nicht mehr -> wrong ELF class

Beitrag von Sauerland » 29. Mai 2016, 08:46

Poste bitte:

Code: Alles auswählen

zypper lr -uP

Code: Alles auswählen

zypper se -s libqt5keychain
Ich hab jetzt mal bei :home_ecsos in das spec geschaut:

Code: Alles auswählen

BuildRequires:  %{qtprefix}libqt5keychain-devel >= 0.6.2, %{qtprefix}libqt5keychain0 >= 0.6.2
%else
BuildRequires:  %{qtprefix}libqtkeychain-devel >= 0.6.2
%endif
Benutzt du noch die 0.5er Version?
Desktop: OpenSUSE Leap 42.3, Nvidia-Grafik Kernel 4.4
Laptop: OpenSUSE Leap 42.3, Intel-Skylake, Kernel 4.x, Windows 10

Benutzeravatar
Herz-von-Hessen
Guru
Guru
Beiträge: 1553
Registriert: 23. Jun 2009, 21:29
Wohnort: Zuhause
Kontaktdaten:

Re: OwnCloud startet nicht mehr -> wrong ELF class

Beitrag von Herz-von-Hessen » 2. Jun 2016, 21:40

Hallo Sauerland,
Sauerland hat geschrieben:Poste bitte:
Bitte sehr (aktuelle Liste bereinigt und nach zypper dup):

Code: Alles auswählen

zypper lr -uP|grep -v Nein
#  | Alias                | Name                         | Aktiviert | GPG-Überprüfung | Aktualisieren | Priorität | URI                                                                                  
---+----------------------+------------------------------+-----------+-----------------+---------------+-----------+--------------------------------------------------------------------------------------
13 | pacman               | pacman                       | Ja        | (r ) Ja         | Ja            |    5      | http://packman.jacobs-university.de/suse/openSUSE_13.2/                              
 4 | isv:ownCloud:desktop | isv:ownCloud:desktop         | Ja        | (r ) Ja         | Ja            |   30      | http://download.opensuse.org/repositories/isv:/ownCloud:/desktop/openSUSE_13.2/      
17 | repo-non-oss         | openSUSE-13.2-Non-Oss        | Ja        | (r ) Ja         | Ja            |   30      | http://download.opensuse.org/distribution/13.2/repo/non-oss/                         
18 | repo-oss             | openSUSE-13.2-Oss            | Ja        | (r ) Ja         | Ja            |   30      | http://download.opensuse.org/distribution/13.2/repo/oss/                             
19 | repo-update          | openSUSE-13.2-Update         | Ja        | (r ) Ja         | Ja            |   30      | http://download.opensuse.org/update/13.2/                                            
20 | repo-update-non-oss  | openSUSE-13.2-Update-Non-Oss | Ja        | (r ) Ja         | Ja            |   30      | http://download.opensuse.org/update/13.2-non-oss/
Sauerland hat geschrieben:

Code: Alles auswählen

zypper se -s libqt5keychain
Hier:

Code: Alles auswählen

zypper se -s libqt5keychain
S | Name                       | Typ        | Version   | Arch   | Repository          
--+----------------------------+------------+-----------+--------+---------------------
  | libqt5keychain             | Quellpaket | 0.6.2-1.1 | noarch | isv:ownCloud:desktop
  | libqt5keychain-debugsource | Paket      | 0.6.2-1.1 | x86_64 | isv:ownCloud:desktop
  | libqt5keychain-debugsource | Paket      | 0.6.2-1.1 | i586   | isv:ownCloud:desktop
  | libqt5keychain-devel       | Paket      | 0.6.2-1.1 | x86_64 | isv:ownCloud:desktop
  | libqt5keychain-devel       | Paket      | 0.6.2-1.1 | i586   | isv:ownCloud:desktop
i | libqt5keychain0            | Paket      | 0.6.2-1.1 | x86_64 | isv:ownCloud:desktop
v | libqt5keychain0            | Paket      | 0.6.2-1.1 | i586   | isv:ownCloud:desktop
  | libqt5keychain0-debuginfo  | Paket      | 0.6.2-1.1 | x86_64 | isv:ownCloud:desktop
  | libqt5keychain0-debuginfo  | Paket      | 0.6.2-1.1 | i586   | isv:ownCloud:desktop
Sauerland hat geschrieben:Ich hab jetzt mal bei :home_ecsos in das spec geschaut:

Code: Alles auswählen

BuildRequires:  %{qtprefix}libqt5keychain-devel >= 0.6.2, %{qtprefix}libqt5keychain0 >= 0.6.2
%else
BuildRequires:  %{qtprefix}libqtkeychain-devel >= 0.6.2
%endif
Benutzt du noch die 0.5er Version?
Wovon, der libq5tkeychain, gibt es da denn eine libqt6keychain oder wie?
Hier mal was find anzeigt:

Code: Alles auswählen

for i in $(find / -iname "*keychain*" 2>/dev/null -exec ls {} \;); do ls -l $i; done
-rw-r--r-- 1 root root 324 Apr  4 18:52 /usr/include/qt5keychain/qkeychain_export.h
-rw-r--r-- 1 root root 3562 Apr  4 18:52 /usr/include/qt5keychain/keychain.h
lrwxrwxrwx 1 root root 23 Mai 15 09:07 /usr/lib64/libqt5keychain.so.0 -> libqt5keychain.so.0.6.2
-rw-r--r-- 1 root root 950 Mai 14 14:23 /usr/lib64/cmake/Qt5Keychain/Qt5KeychainLibraryDepends-relwithdebinfo.cmake
-rw-r--r-- 1 root root 367 Mai 14 14:23 /usr/lib64/cmake/Qt5Keychain/Qt5KeychainConfigVersion.cmake
-rw-r--r-- 1 root root 3377 Mai 14 14:23 /usr/lib64/cmake/Qt5Keychain/Qt5KeychainLibraryDepends.cmake
-rw-r--r-- 1 root root 776 Mai 14 14:23 /usr/lib64/cmake/Qt5Keychain/Qt5KeychainConfig.cmake
lrwxrwxrwx 1 root root 19 Jun  2 21:25 /usr/lib64/libqt5keychain.so -> libqt5keychain.so.0
-rwxr-xr-x 1 root root 153812 Mai 19 05:43 /usr/lib64/libqt5keychain.so.0.6.2
-rw-r--r-- 1 root root 4815 Mai 14 14:23 /usr/share/qt5/translations/qtkeychain_ro.qm
-rw-r--r-- 1 root root 4350 Mai 14 14:23 /usr/share/qt5/translations/qtkeychain_de.qm
-rwxr-xr-x 1 root root 153812 Mai 19 05:40 /home/herz/.local/share/Trash/files/libqt5keychain.so.0.6.1
-rw------- 1 herz users 87 Mai 31 20:51 /home/herz/.local/share/Trash/info/libqt5keychain.so.0.6.1.trashinfo
Lieben Gruß aus Hessen
Asus P8H77V/ Intel Core i5, 3.10GHz | 8.0gb RAM | NVIDIA GeForce GTX 650 Ti Boost 2GB | Arch-Linux| arch-desktop 4.7.6-1-ARCH | Plasma: 5.8.0.1| HP Officejet Pro 8620

Benutzeravatar
Herz-von-Hessen
Guru
Guru
Beiträge: 1553
Registriert: 23. Jun 2009, 21:29
Wohnort: Zuhause
Kontaktdaten:

Re: OwnCloud startet nicht mehr -> wrong ELF class

Beitrag von Herz-von-Hessen » 23. Jun 2016, 19:41

Hallo

Dank eines Updates:

Code: Alles auswählen

zypper se -s libqt5keychain | grep -E '^i|^v'
i | libqt5keychain-devel       | Paket      | 0.7.0-1.1 | x86_64 | isv:ownCloud:desktop
v | libqt5keychain-devel       | Paket      | 0.7.0-1.1 | i586   | isv:ownCloud:desktop
i | libqt5keychain0            | Paket      | 0.6.2-1.1 | x86_64 | (Systempakete)      
i | libqt5keychain1            | Paket      | 0.7.0-1.1 | x86_64 | isv:ownCloud:desktop
v | libqt5keychain1            | Paket      | 0.7.0-1.1 | i586   | isv:ownCloud:desktop
läuft nun wieder alles wie gewünscht.
Ist aber dennoch blöd das es einfach mal so nicht geht, denn meine Updates mache ich beinahe täglich.

Lieben Gruß aus Hessen
Asus P8H77V/ Intel Core i5, 3.10GHz | 8.0gb RAM | NVIDIA GeForce GTX 650 Ti Boost 2GB | Arch-Linux| arch-desktop 4.7.6-1-ARCH | Plasma: 5.8.0.1| HP Officejet Pro 8620

Antworten

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 2 Gäste